<?php
namespace Misuzu\Config;

interface IConfig {
    function scopeTo(string $prefix): IConfig;
    function getNames(): array;
    function getValue(string $name, string $type = CfgType::T_ANY, $default = null): mixed;
    function hasValue(string $name): bool;
    function setValue(string $name, $value, bool $save = true): void;
    function removeValue(string $name, bool $save = true): void;
}
